
Smart Proxy - Feature #18069

Add ip and mac address validations to api endpoints in dhcp api controller

01/13/2017 11:13 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Anna Vítová   

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/793

  

Description

Reporting an invalid mac or ip address might help with troubleshooting of of problems when dhcp record could not be found.

Related issues:

Related to Smart Proxy - Feature #17856: SmartProxy should support multiple d... Closed 12/27/2016

Related to Smart Proxy - Bug #34359: DHCP error with wrong number of argument... Closed

Associated revisions

Revision eba7d3b4 - 11/01/2021 09:09 AM - Anna Vitova 

fixes #18069 - Add ip/mac Addr. validations (DHCP)

History

#1 - 01/13/2017 11:13 AM - Anonymous

- Related to Feature #17856: SmartProxy should support multiple dhcp reservations for the same ip address added

#2 - 07/21/2021 10:13 AM - Anna Vítová

- Assignee set to Anna Vítová

#3 - 07/25/2021 12:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/792 added

#4 - 07/26/2021 07:40 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/793 added

#5 - 07/26/2021 07:43 AM - Anna Vítová

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/792)

#6 - 11/01/2021 09:09 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#7 - 11/01/2021 10:00 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset eba7d3b463fca6a37ae8d047cdf8e981a96b5a10.

#8 - 02/01/2022 04:21 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #34359: DHCP error with wrong number of arguments for validate_supported_address added
